Package twisted :: Package python :: Module util :: Class IntervalDifferential |
[frames | no frames]

## Class IntervalDifferential

    Given a list of intervals, generate the amount of time to sleep between
    "instants".

    For example, given 7, 11 and 13, the three (infinite) sequences

        7 14 21 28 35 ...
        11 22 33 44 ...
        13 26 39 52 ...

    will be generated, merged, and used to produce:

        (7, 0) (4, 1) (2, 2) (1, 0) (7, 0) (1, 1) (4, 2) (2, 0) (5, 1) (2, 0)

    New intervals may be added or removed as iteration proceeds using the
    proper methods.

Method Summary
| ``__init__`(self, intervals, default)`
| `__iter__(self)`

Method Details

### __init__(self, intervals, default=60) (Constructor) Parameters: `intervals` (type=`list` of `int`, `long`, or `float` param) `default` - The duration to generate if the intervals list becomes empty. (type=`int`, `long`, or `float`)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:43 2003 | http://epydoc.sf.net